PCAT-PRINT(1)

NAME
pcat-print - reformat hexadecimal packets back to dig-like syntax

SYNOPSIS
pcat-printp [ -h ] PCAT_STREAM

DESCRIPTION
pcat-print reads in a pcat file and reformats the hexadecimal packets back into a dig-like syntax. If a packet cannot be transformed back into a sane syntax an error is emitted. This makes the manual inspection of the packets easier.

If no pcat file is given, standard input is read.

OPTIONS
There are no options. Like pcat-diff this utility always does what you want.

OUTPUT FORMAT
pcat-print will output records. Each record consists of an index and then three packets. Each packet is separated by a line of '='s. All in all the output looks like:
        ==========================
        ==========================
        Index: xxx:yyy
        ==========================
        query packet
        ==========================
        first answer/query packet
        ==========================
        second answer/query packet
        ==========================

For the index: xxx:yyy. xxx is the query ID of the first answer/query and yyy is the query ID of the second one. These two IDs should match. The query ID of the query packet is also equal to xxx.

ALSO SEE
Also see pcat(1) and pcat-diff(1).

AUTHOR
Written by Miek Gieben for NLnet Labs.

REPORTING BUGS
Report bugs to <dns-team@nlnetlabs.nl>.

COPYRIGHT
Copyright (C) 2005, 2006 NLnet Labs. This is free software. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Licensed under the BSD License.